Create Platform

Create Platform
Initialize a new platform deployment with full configuration

Creates a new platform configuration record in the installer and triggers the initial Lifecycle Management (LCM) deployment workflow asynchronously.

Workflow Chain:

  1. Call this endpoint with the full configuration payload to start the deployment.
  2. The response returns a 202 Accepted along with the newly generated platform-id and a status_url.
  3. Use the generated platform-id to call GET /sspi/platforms/{platform-id}/status periodically to monitor the precheck and deployment progress.
Request
URI
POST
https://{api_host}/sspi/platforms
COPY
Request Body

The complete platform configuration required to start a deployment.

PlatformFullConfig of type(s) application/json
Required  
This request body class requires all of the following: ManagedResource , InlinePlatformFullConfig1
{
    "compute": {
        "cluster_id": "domain-c9",
        "content_datastore_id": "datastore-45",
        "datacenter_id": "datacenter-3",
        "enable_resource_reservation": true,
        "resource_pool_id": "resgroup-46",
        "ssp_resource_pool_id": "resgroup-86",
        "storage_policy_id": "aa6d5a82-1c88-45da-85d3-3d74b91a5bad"
    },
    "desired_state": "START",
    "network": {
        "dns": [
            "dns.broadcom.example"
        ],
        "network_configs": [
            {
                "network_id": "dvs-47",
                "node_pools": [
                    {
                        "end": "172.16.111.66",
                        "name": "node-pool-name-1",
                        "start": "172.16.111.43"
                    }
                ],
                "platform_default_gateway": "172.16.111.1",
                "platform_subnet": "172.16.111.1/24",
                "portgroup_id": "dvportgroup-49",
                "service_pools": [
                    {
                        "end": "172.16.111.89",
                        "name": "service-ippool-name-1",
                        "start": "172.16.111.71"
                    }
                ]
            }
        ],
        "ntp": "ntp.broadcom.example",
        "search_domain": "searchdomain.example"
    },
    "provider_id": "8289450b-f562-4ee5-9a40-dd840307319b",
    "service": {
        "addon_ids": [
            "b39360db-b6a8-4894-abfb-0dae59ac9d00",
            "3e9fff83-75b9-4dde-90a6-ddf4d9e0f539"
        ],
        "ingress_fqdn": "ingress-fqdn.example",
        "instance_name": "instance-name-example",
        "kafka_fqdn": "kafka-fqdn.example",
        "password_configuration": {
            "admin_password": "PasswordExample!123",
            "audit_password": "PasswordExample!123"
        },
        "preserve_addons": false,
        "ssp_bundle_id": "061352f8-b306-46a6-81fd-fe2998176c66"
    },
    "system": {
        "controller_count": 3,
        "form_factor": "LARGE",
        "ssp_type": "ATP",
        "worker_count": 4
    }
}
Authentication
This operation uses the following authentication methods.
Responses
202

The platform action request has been accepted. Use the returned platform ID and status URL to query for more detailed information.

Returns AsyncApiResponse of type(s) application/json
{
    "id": "434348d8-681e-4809-8dc1-427127d2bee7",
    "status_url": "https://sspi.example.com/sspi/platforms/434348d8-681e-4809-8dc1-427127d2bee7/status"
}
string
id
Optional

UUID identifier of the response.

string
status_url
Optional

The URL to check the status of the operation.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

An error occurred while checking the SSPI service.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/sspi/platforms